View Issue Details

IDProjectCategoryLast Update
0020639AI War 2[All Projects] Gameplay IdeaMar 9, 2019 5:02 pm
ReporterdarkarchonAssigned Tox4000Bughunter 
Severityfeature 
Status resolvedResolutionfixed 
Product Version0.804 Hack Me Quickly 
Fixed in VersionBETA 0.850 The Arrival of Fleets 
Summary0020639: Get rid of Remains Rebuilders
DescriptionIssue:
Remains Rebuilders are a boring mechanic that add nothing to the game but housekeeping to make sure that every planet has its own Remains Rebuilder.

Suggestion:
Get rid of Remains Rebuilders altogether. No replacement necessary on planets.

As long as a command station exists structures get repaired automatically if
- no non-cloaked enemy units are on the planet
and/or
- at least X (5? 10?) seconds have passed since the destruction of the building

Engineers become Remains Rebuilders that can rebuild things like before without any countdown or enemy restrictions. This is to alleviate the removal of Remains Rebuilders for offensive strategies like Beach Heads.
TagsNo tags attached.

Activities

StormingKiwi

Oct 20, 2018 4:41 am

reporter   ~0050173

Absolutely agreed. Engineers should do both roles.

Mike Zane

Oct 20, 2018 5:58 am

reporter   ~0050174

This should be implemented. I make the rebuilder as an automatic construction for 1 per base and never think about it again. This is exactly what the engineers do. If you want to add a downside to turrets being destroyed, you can add an extra cost to bring structures up form 0% to 5%.

x4000Bughunter

Oct 22, 2018 10:45 am

administrator   ~0050215

I'm open to the idea -- I don't have a zealous desire for remains rebuilders. But here's a couple of thoughts:

1. If engineers started getting distracted during battle by starting rebuilding things that were dead, that would be Bad. Basically, a dead thing being rebuilt has no function until it is finished. However, engineers repairing things that are hurt-but-not dead is super valuable during battle. The ability to independently manage these two things is really important, in some fashion.

2. Just having these things get rebuilt automatically if you have a command station present is fine, sort of, but it would lead to a lot of situations where you are in battle and the things starts rebuilding well before you may be ready for it to (so it just spends money and gets stomped again). The delays on how rapidly things can be rebuilt might already solve this issue, so maybe that's a non-issue, though.

3. This doesn't help when you've got turrets on enemy planets, if it's command stations. But if mobile builders provided the same function, then I suppose we have no problem anymore.

So... I'm mostly convinced. Curious what the thoughts on the above are.

AtomTheBomb

Oct 22, 2018 10:59 am

reporter   ~0050218

The issue i have with rebuilders is the 5 sec (?) delay between each rebuild when the overall threat level is low. Seems odd behavior. Is this to limit their efficiency? I'm fine with a modest delay from the initial rebuild process though, since more AI waves might be inbound as you said.

darkarchon

Oct 22, 2018 11:00 am

reporter   ~0050219

1+2)
An idea would be to only start rebuilding things after
a) a countdown
as well as
b) the structure in question is not in range of any (non-cloaked) enemy entity at the point of the end of the countdown

My thoughts here are basically: if the structure is out of range of enemy fire it might as well be rebuilt. Remains Rebuilders could do that at that point as well, since if enemies are within the range of the structure in question it's likely the Remains Rebuilders could get killed. So the only loss here is the loss of Remains Rebuilders travel time to the destoryed structure in question.
The alternative for 1) would be to implement some kind of intelligent decision making of the engineers that repair damaged structures within enemy reach as number 1 priority, rebuild structures within enemy reach as number 2 priority and rebuild structures out of enemy reach as number 3 priority.

3)
Yes mobile builders could provide remains rebuilders functionality. This is a good idea as an alternative to the engineers providing that functionality.
This would mean that engineers would still be just engineers and the stations/mobile builders would be used for the purpose of remains rebuilders. This would work well for beach head attacks or general defenses on enemy planets.

RocketAssistedPuffin

Oct 22, 2018 11:21 am

developer   ~0050221

As I mentioned in Discord I...have really no thoughts to this, I don't care if they stay or go. I'd personally just keep them as this seems fairly minor for the amount of discussion, but if you want to do it Chris I've no issue.

"1. If engineers started getting distracted during battle by starting rebuilding things that were dead, that would be Bad. Basically, a dead thing being rebuilt has no function until it is finished. However, engineers repairing things that are hurt-but-not dead is super valuable during battle. The ability to independently manage these two things is really important, in some fashion."

This is the only thing that came to mind - I'd be a bit annoyed if Engineers tried to go rebuild minefields on the other side of the planet instead of fixing things that are actually relevant - the Rebuilders can go suicide over and over if they want. They just tag things once, very quickly and that's it, job done, don't care if they die, they're cheap as chips.

Gamidragon

Oct 22, 2018 12:27 pm

reporter   ~0050224

Rather than get rid of them (I actually love that engineers DON'T serve this purpose, so they can be repairing ships and turrets that are fighting) would it be possible to make them more useful/interesting? Perhaps they can be used to rebuild strategic objectives? Or maybe specific AI ships that you destroy aren't evaporated, but instead leave remains and any faction could use Remains Rebuilders to try and capture them? I dunno, I'm just spitballing ideas, I can't argue against it being a boring mechanic but I like having a separate unit for this simply from my own management perspective, it's easier for me to find/build remains rebuilders when I need them, and each system builds 1 automatically.

Dune

Oct 22, 2018 10:31 pm

administrator   ~0050236

Hey guys - I am change the status of this case to Considering. It's a good discussion, and I think it can be reviewed further once other issues have been cleared. Thanks!

RocketAssistedPuffin

Mar 9, 2019 5:02 pm

developer   ~0050962

Rebuilders are gone next release.

Issue History

Date Modified Username Field Change
Oct 19, 2018 5:44 pm darkarchon New Issue
Oct 19, 2018 5:46 pm darkarchon Description Updated View Revisions
Oct 20, 2018 4:41 am StormingKiwi Note Added: 0050173
Oct 20, 2018 5:58 am Mike Zane Note Added: 0050174
Oct 22, 2018 10:45 am x4000Bughunter Note Added: 0050215
Oct 22, 2018 10:59 am AtomTheBomb Note Added: 0050218
Oct 22, 2018 11:00 am darkarchon Note Added: 0050219
Oct 22, 2018 11:21 am RocketAssistedPuffin Note Added: 0050221
Oct 22, 2018 12:27 pm Gamidragon Note Added: 0050224
Oct 22, 2018 10:31 pm Dune Assigned To => x4000Bughunter
Oct 22, 2018 10:31 pm Dune Status new => considering
Oct 22, 2018 10:31 pm Dune Note Added: 0050236
Mar 9, 2019 5:02 pm RocketAssistedPuffin Status considering => resolved
Mar 9, 2019 5:02 pm RocketAssistedPuffin Resolution open => fixed
Mar 9, 2019 5:02 pm RocketAssistedPuffin Fixed in Version => BETA 0.850 The Arrival of Fleets
Mar 9, 2019 5:02 pm RocketAssistedPuffin Note Added: 0050962